### Method

# EDataServer SourceExtension get_source

deprecated: 3.8 since: 3.6

#### Declaration [src]

    ESource*
    e_source_extension_get_source (
      ESourceExtension* extension
    )

#### Description [src]

Returns the `ESource` instance to which `extension` belongs.

Note this function is not thread-safe. The returned `ESource` could be finalized by another thread while the caller is still using it.

Available since: 3.6

Deprecated since: 3.8

Use `e_source_extension_ref_source()` instead.

Gets property | `EDataServer.SourceExtension:source`

#### Return value

Type: `ESource`

The `ESource` instance.

The returned data is owned by the instance.